﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics45.Web.v20.1, Version=20.1.20201.4, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics45.Web.v20.1, Version=20.1.20201.4, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript" id="igClientScript">

        function WebDataGrid1_RowEditing_TemplateOpening(sender, eventArgs)
        {
            console.log("template is opening");
        }
        function WebDataGrid1_RowEditing_TemplateOpened(sender, eventArgs)
        {
	        console.log("template is opened");
        }
        function WebDataGrid1_RowEditing_TemplateClosing(sender, eventArgs)
        {
            console.log("template is closing");
            console.log(eventArgs._saveChanges)
            //if (eventArgs._saveChanges) {
            //    console.log("Save is clicked and commit would be executed");
            //}
        }

        function clickSave() 
        {
            console.log("Save is clicked and commit would be executed");
        }
</script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <ig:WebScriptManager ID="WebScriptManager1" runat="server"></ig:WebScriptManager>
            <ig:WebDataGrid ID="WebDataGrid1" runat="server" Height="350px" Width="400px" AutoGenerateColumns="False">
                 <Columns>
                    <ig:BoundDataField DataFieldName="ID" Key="ID">
                        <Header Text="ID">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Fruit" Key="Fruit">
                        <Header Text="Fruit"></Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Quantity" Key="Quantity">
                        <Header Text="Quantity"></Header>
                    </ig:BoundDataField>
                     </Columns>
                <Behaviors>
                    <ig:EditingCore AutoCRUD="False" EnableInheritance="True">
                        <Behaviors>
                            <ig:RowAdding>
                            </ig:RowAdding>
                            <ig:RowEditing>
                            </ig:RowEditing>
                            <ig:RowEditingTemplate EnableInheritance="True" CancelButton="buttonCancel" OKButton="buttonSave">
                                <EditModeActions RowSelectorMouseClick="None" MouseClick="Double" />
                                <ClientBindings>
                                    <ig:RowEditingClientBinding ColumnKey="ID" ControlID="control_ID" GetValueJavaScript="$get({ClientID}).value" SetValueJavaScript="$get({ClientID}).value={value} == null ? '' : {value}" />
                                    <ig:RowEditingClientBinding ColumnKey="Fruit" ControlID="control_Fruit" GetValueJavaScript="$get({ClientID}).value" SetValueJavaScript="$get({ClientID}).value={value} == null ? '' : {value}" />
                                    <ig:RowEditingClientBinding ColumnKey="Quantity" ControlID="control_Quantity" GetValueJavaScript="$get({ClientID}).value" SetValueJavaScript="$get({ClientID}).value={value} == null ? '' : {value}" />
                                </ClientBindings>
                                <RowEditingClientEvents TemplateClosing="WebDataGrid1_RowEditing_TemplateClosing" TemplateOpened="WebDataGrid1_RowEditing_TemplateOpened" TemplateOpening="WebDataGrid1_RowEditing_TemplateOpening" />
                               
                                <Template>
                                    <div style="background-color:white;border:1px solid black;">
                                        ID:
                                        <asp:TextBox ID="control_ID" runat="server"></asp:TextBox>
                                        <br/>
                                        Fruit:
                                        <asp:TextBox ID="control_Fruit" runat="server"></asp:TextBox>
                                        <br/>
                                        Quantity:
                                        <asp:TextBox ID="control_Quantity" runat="server"></asp:TextBox>
                                        <br/>
                                        <asp:Button ID="buttonSave" runat="server" OnClientClick="clickSave();return;" Text="Save" UseSubmitBehavior="False" />
                                        <asp:Button ID="buttonCancel" runat="server" CausesValidation="False" OnClientClick="return" Text="Cancel" UseSubmitBehavior="False" />
                                    </div>
                                </Template>
                               
                            </ig:RowEditingTemplate>
                        </Behaviors>
                    </ig:EditingCore>
                </Behaviors>
            </ig:WebDataGrid>
          
        </div>
    </form>
</body>
</html>
