﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["data"] == null)
        {
            Session["data"] = GetDataSource();
        }
        WebDataGrid1.DataSource = GetDataSource();
    }

    public DataTable GetDataSource()
    {
        DataTable dt = new DataTable("Table");
        dt.Columns.Add("ID");
        dt.Columns.Add("Fruit");
        dt.Columns.Add("Quantity");


        dt.Columns["Quantity"].DataType = Type.GetType("System.Int32");
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = dt.Columns["ID"];
        dt.PrimaryKey = PrimaryKeyColumns;
        for (var i = 0; i < 20; i += 4)
        {
            dt.Rows.Add(new object[] { i, "Bannana", i });
            dt.Rows.Add(new object[] { i + 1, "Apple", i + 1 });
            dt.Rows.Add(new object[] { i + 2, "Orange", i + 2 });
            dt.Rows.Add(new object[] { i + 3, "Apple", i + 3 });
        }

        return dt;
    }
}